--- attr.SlackBuild	2006-08-03 20:33:23.000000000 -0400
+++ attr.SlackBuild.s390x	2006-08-07 14:54:43.000000000 -0400
@@ -42,8 +42,8 @@
   --exec-prefix=/ \
   --sbindir=/bin \
   --bindir=/usr/bin \
-  --libdir=/lib \
-  --libexecdir=/usr/lib \
+  --libdir=/lib64 \
+  --libexecdir=/usr/lib64 \
   --includedir=/usr/include \
   --mandir=/usr/man \
   --datadir=/usr/share
@@ -65,14 +65,14 @@
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 )
-strip -g $PKG/usr/lib/*.a
+strip -g $PKG/usr/lib64/*.a
 
 # Remove bogus files:
-rm -f $PKG/lib/*.a $PKG/lib/libattr.so $PKG/lib/*.la $PKG/usr/lib/*.la
-# Make /usr/lib/libattr.so a symlink to /lib:
-( cd $PKG/usr/lib ; rm -f libattr.so ; ln -sf /lib/libattr.so.1 libattr.so )
+rm -f $PKG/lib64/*.a $PKG/lib64/libattr.so $PKG/lib64/*.la $PKG/usr/lib64/*.la
+# Make /usr/lib64/libattr.so a symlink to /lib64:
+( cd $PKG/usr/lib64 ; rm -f libattr.so ; ln -sf /lib64/libattr.so.1 libattr.so )
 # Fix shared library perms:
-chmod 755 $PKG/lib/*
+chmod 755 $PKG/lib64/*
 
 # Gzip the man pages:
 ( cd $PKG/usr/man
